Skip to main content
Get latest version of EVE image
Authentication · API availability · Download OpenAPI

Authorizations

Authorization
string
header
required

Bearer token for user session

Headers

X-Request-Id
string

User-Agent specified id to track a request

Path Parameters

imageArch
string
required

Image architecture to be matched : 'AMD64' or 'ARM64'.

Response

A successful response.

Image metadata for edge gateway Base OS or for eedge applications.

name
string
required

User defined name of the image, unique across the enterprise. Once image is created, name can’t be changed.

Required string length: 3 - 256
Pattern: [a-zA-Z0-9][a-zA-Z0-9_.-]+
title
string
required

User defined title of the image. Title can be changed at any time.

Required string length: 3 - 256
Pattern: [a-zA-Z0-9]+[a-zA-Z0-9!-~ ]+
imageFormat
enum<string>
default:FmtUnknown
required

Image binary format.

Available options:
FmtUnknown,
RAW,
QCOW,
QCOW2,
VHD,
VMDK,
OVA,
VHDX,
CONTAINER,
ISO,
PVC
imageArch
enum<string>
default:UNSPECIFIED
required

Image Architecture.

Available options:
UNSPECIFIED,
UNDEFINED,
AMD64,
ARM64
imageType
enum<string>
default:IMAGE_TYPE_UNSPECIFIED
required

Image type

Available options:
IMAGE_TYPE_UNSPECIFIED,
IMAGE_TYPE_EVE,
IMAGE_TYPE_APPLICATION,
IMAGE_TYPE_EVEPRIVATE,
IMAGE_TYPE_ARTIFACT,
IMAGE_TYPE_DOCKER_COMPOSE_TAR,
IMAGE_TYPE_DOCKER_RUNTIME,
IMAGE_TYPE_ZKS_RUNTIME
datastoreId
string
required

Datastore Id where image binary is located.

Pattern: [a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}
id
string
read-only

System defined universally unique Id of the image.

Pattern: [a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}
description
string

Detailed description of the image.

Maximum string length: 256
revision
ObjectRevision is used to store the user information. · object

system defined info

imageRelUrl
string

Image relative path w.r.t. Datastore

imageSha256
string

Image checksum in SHA256 format

imageVersion
string

system defined info

imageStatus
enum<string>
default:IMAGE_STATUS_UNSPECIFIED

Image status

Available options:
IMAGE_STATUS_UNSPECIFIED,
IMAGE_STATUS_CREATED,
IMAGE_STATUS_PENDING,
IMAGE_STATUS_UPLOADING,
IMAGE_STATUS_READY,
IMAGE_STATUS_INUSE,
IMAGE_STATUS_ARCHIVED,
IMAGE_STATUS_MAX,
IMAGE_STATUS_FAILED,
IMAGE_STATUS_UPLINKING
imageSizeBytes
string<int64>

Image size in KBytes.

imageError
string
read-only

Image upload/uplink detailed error/status message

imageLocal
string
read-only

Internal image location.

originType
enum<string>
default:ORIGIN_UNSPECIFIED

Origin type of image.

Available options:
ORIGIN_UNSPECIFIED,
ORIGIN_IMPORTED,
ORIGIN_LOCAL,
ORIGIN_GLOBAL,
ORIGIN_APP_PROFILE_LOCAL
projectAccessList
string[]

project access list of the image

datastoreIdList
string[]

datastore Id list where image binary is located.

isLTS
boolean

flag to indicate eve image is LTS or not